> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Users

> Sync users with a customer.



## OpenAPI

````yaml api-reference/openapi.json post /customers/{id}/users
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}/users:
    post:
      tags:
        - customers
      summary: Sync users with a customer.
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user_ids:
                  description: >
                    Array of user IDs. It will automatically determine which IDs
                    to attach or detach.
                  type: array
                  items:
                    type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
components:
  schemas:
    User:
      description: |
        User from business which operates this app.
      type: object
      properties:
        id:
          type: integer
          description: Internal ID.
        name:
          type: string
        email:
          type: integer
          nullable: true
        roles:
          description: List of roles. "admin" has all permissions implicitly.
          type: array
          items:
            type: string
        permissions:
          description: List of permissions.
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          nullable: true
          example: '2023-01-01T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````